ZipNote is a utility provided as part of the Info-ZIP suite of tools. It allows for viewing and editing ZIP file comments and names. ZipNote 3.0 (the latest stable release) has
a bug that prevents it from performing its editing functionality.
I reported this bug upstream and received a reply from Steven M. Schweda of the Info-ZIP development team. He confirmed that this was a known issue and was fixed in the Zip 3.1b beta release already. In the mean time he pointed out that zipnote.c needed only a very minor change to make this work.
I would therefore request the following changes be included in slackware-current.
Here is a patch to infozip.SlackBuild:
Code:
--- ./infozip.SlackBuild.orig 2014-04-23 10:31:02.000000000 +0200
+++ ./infozip.SlackBuild 2014-04-23 10:33:14.000000000 +0200
@@ -45,6 +45,7 @@
rm -rf zip$(echo $ZIP | tr -d .)
tar xvf $CWD/zip$(echo $ZIP | tr -d .).tar.?z* || exit 1
cd zip$(echo $ZIP | tr -d .)
+zcat $CWD/zip.zipnote.c.diff.gz | patch -p1 --verbose || exit 1
chown -R root:root .
mkdir -p $PKG/usr/doc/zip-$ZIP
cp -a BUGS CHANGES INSTALL LICENSE README* TODO US* WHATSNEW WHERE \
Here are the uncompressed contents of zip.zipnote.c.diff.gz referenced above:
Code:
--- ./zipnote.c.orig 2014-04-23 10:26:14.000000000 +0200
+++ ./zipnote.c 2014-04-23 10:27:27.000000000 +0200
@@ -661,7 +661,7 @@
if ((r = zipcopy(z)) != ZE_OK)
ziperr(r, "was copying an entry");
}
- fclose(x);
+ fclose(in_file);
/* Write central directory and end of central directory with new comments */
if ((c = zftello(y)) == (zoff_t)-1) /* get start of central */
Thanks in advance for considering this request.